Subject: Re: Relative ls-files

From: Michael J Gruber <[email-masked]>
Date: Wed, 23 Mar 2011 12:42:54 +0100

demerphq venit, vidit, dixit 23.03.2011 12:28:
> On 23 March 2011 12:27, John Tapsell <[email-masked]> wrote:
>> On 23 March 2011 10:49, Michael J Gruber <[email-masked]> wrote:
>>> John Tapsell venit, vidit, dixit 23.03.2011 11:33:
>>>> Hi,
>>>>
>>>>   Could someone add a feature to  ls-files  to list all the files in
>>>> the repository, but relative to the current path?  It would be useful
>>>> for many different aliases, such as "git locate".
>>>
>>> That is in the works, we just have to decide between two suggested
>>> notations:
>>>
>>> git ls-files :
>>> git ls-files :/
>>
>>
>> What's wrong with --relative  or something?

??

ls-files already lists files relative to cwd. What you need is a way to
specify that you want all files, not just those beneath cwd.

>>
>> I've never liked magical strange notations.  ":" already has a meaning.
> 
> +1

I think you've both been missing out on the discussions about
--full-tree and refspec notation for that...

Of course ":" has a meaning. "git show HEAD:" lists all files at the
top-level of the tree at HEAD. That is exactly why ":" has been
suggested to denote the top-level for pathspecs also. Note that this is
much more general than just an option for ls-files.

Michael